// Made by zakarum5835
// Ignitium Armor Set is used to upgrade to Allthemodium Tier

// Allthemodium Helmet

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_helmet",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "cataclysm:ignitium_helmet",
         "allthemodium:allthemodium_ingot",
     )})

// Allthemodium Chestplate

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_chestplate",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "cataclysm:ignitium_chestplate",
         "allthemodium:allthemodium_ingot",
    )})

// Allthemodium Leggings

ServerEvents.recipes(event => {
     event.smithing(
          
         "allthemodium:allthemodium_leggings",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "cataclysm:ignitium_leggings",
         "allthemodium:allthemodium_ingot",
    )})

// Allthemodium Boots

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_boots",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "cataclysm:ignitium_boots",
         "allthemodium:allthemodium_ingot",
    )})

// Warden Tools can be upgraded to Allthemodium Tier

// Allthemodium Sword

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_sword",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "deeperdarker:warden_sword",
         "allthemodium:allthemodium_ingot",
    )})

// Allthemodium Pickaxe

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_pickaxe",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "deeperdarker:warden_pickaxe",
         "allthemodium:allthemodium_ingot",

)})

// Allthemodium Axe

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_axe",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "deeperdarker:warden_axe",
         "allthemodium:allthemodium_ingot",

)})

// Allthemodium Shovel

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_shovel",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "deeperdarker:warden_shovel",
         "allthemodium:allthemodium_ingot",

)})

// Allthemodium Hoe

ServerEvents.recipes(event => {
     event.smithing(

         "allthemodium:allthemodium_hoe",
         "allthemodium:allthemodium_upgrade_smithing_template",
         "deeperdarker:warden_hoe",
         "allthemodium:allthemodium_ingot",

)})